'use client';
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var hljs = require('highlight.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e['default'] : e; }

var hljs__default = /*#__PURE__*/_interopDefaultLegacy(hljs);

function useHighlight({ code, language, highlightOnClient }) {
  const getHighlightedCode = () => hljs__default.highlight(code.trim(), { language }).value;
  const [highlighted, setHighlighted] = React.useState(!highlightOnClient);
  const [highlightedCode, setHighlightedCode] = React.useState(
    highlightOnClient ? code : getHighlightedCode()
  );
  const getCodeProps = () => highlighted ? { dangerouslySetInnerHTML: { __html: highlightedCode } } : { children: code.trim() };
  React.useEffect(() => {
    if (highlightOnClient) {
      setHighlightedCode(getHighlightedCode());
      setHighlighted(true);
    }
  }, []);
  return getCodeProps;
}

exports.useHighlight = useHighlight;
//# sourceMappingURL=use-highlight.js.map
